package cn.estsh.i3plus.ext.mes.api.base.bu;

import cn.estsh.i3plus.ext.mes.pojo.bean.MesProcessBom;
import cn.estsh.i3plus.ext.mes.pojo.model.SxProcessBomModel;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;

/**
 * @Author: xiangming.liao
 * @CreateDate: 2021/01/17 17:56 下午
 * @Description:
 **/
public interface IBuProcessBomService {
    /**
     * 新增工序BOM
     * @param processBom
     * @return
     */
    MesProcessBom insertProcessBom(MesProcessBom processBom);
    /**
     * 修改工序BOM
     * @param processBom
     * @return
     */
    MesProcessBom updateProcessBom(MesProcessBom processBom);

    /**
     * 启用禁用工序BOM
     * @param ids id数组
     * @param status 状态
     * @param userName 操作人
     * @return
     */
    void updateStatusBatchProcessBom(String[] ids, Integer status, String userName);

    /**
     * 查询工序BOM分页
     * @param processBom
     * @param pager
     * @return
     */
    ListPager<SxProcessBomModel> queryProcessBomByPager(MesProcessBom processBom, Pager pager);
}
