package cn.estsh.i3plus.ext.mes.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("容器")
public class ContainerExtModel implements Serializable {

    private static final long serialVersionUID = -7264835194067352656L;

    @ApiParam("id")
    private Long id;

    @ApiParam("容器编号")
    private String ctNo;

    @ApiParam("容器类型代码")
    private String ctCode;

    @ApiParam("容器类型名称")
    private String ctName;

    @ApiParam("使用状态")
    private String useStatus;

    @ApiParam("使用状态名称")
    private String useStatusName;

    @ApiParam("组织代码")
    public String organizeCode;

    @ApiParam("有效性")
    public Integer isValid;

    @ApiParam("是否已删除")
    public Integer isDeleted;

    @ApiParam("创建用户")
    public String createUser;

    @ApiParam("创建日期")
    public String createDatetime;

    @ApiParam("修改人")
    public String modifyUser;

    @ApiParam("修改日期")
    public String modifyDatetime;

    @ApiParam("容器类别 (核心表代替字段)")
    private String useLimit;

}
