package cn.estsh.i3plus.ext.mes.pojo.model;

import cn.estsh.i3plus.ext.mes.pojo.bean.MesWorkOrderExt;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/13 18:12
 **/
@ApiModel("wms封装mes工单信息")
@Data
public class SxWmsToMesWorkOrderModel extends MesWorkOrderExt implements Serializable {

    private static final long serialVersionUID = 314445172272829434L;

    @ApiParam("新增或修改")
    private Integer isInsert;

    @ApiParam("生产版本集合信息")
    private List<SxWmsToMesWorkOrderModel> workOrderList;

    @ApiParam("结果")
    private Boolean result;

    @ApiParam("sap工单状态")
    private Integer orderStatus;

    @ApiParam("生产版本")
    private String workVer;

    @ApiParam("sap工单顺序")
    private Double sapSeq;

}
