package cn.estsh.i3plus.ext.mes.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.ColumnDefault;

import java.io.Serializable;

/**
 * 文件描述
 *
 * @author yumingxing
 * @date 2021年03月29日 13:53
 */
@Data
@ApiModel("ps部件返回参数")
public class WmsPsPart implements Serializable {
    private static final long serialVersionUID = -2478189997612366752L;

    @ApiParam("生产工单号")
    private String orderNo;

    @ApiParam("生产线")
    private String workCenterCode;

    @ApiParam("机型")
    private String prodPartNo;

    @ApiParam("生产条码")
    private String sn;

    @ApiParam("物料编码")
    private String itemPartNo;

    @ApiParam("物料批次")
    private String dateCode;

    @ApiParam("是否PS部件点检")
    private boolean psPartCheckFlag;

    @ApiParam("绑定时间")
    private String date;

}
