package cn.estsh.i3plus.ext.mes.pojo.model.bu;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-mes-panasonic-bu
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-05-11 14:35
 */
@Data
@ApiModel("容器类型MODEL")
public class MesContainerTypeModel implements Serializable {

    private static final long serialVersionUID = 3833306290941076844L;

    @ApiParam("容器类型代码")
    private String ctCode;

    @ApiParam("容器类型名称")
    private String ctName;

    @ApiParam("容器类别 （代替字段）")
    private Integer useLimit;

    @ApiParam("容器类别 （代替字段）")
    private String useLimitName;

    @ApiParam("id")
    private Long id;

    @ApiParam(value = "有效性")
    private Integer isValid;

    @ApiParam(value = "是否已删除")
    private Integer isDeleted;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("创建人")
    private String createUser;

    @ApiParam("创建时间")
    private String createDatetime;

    @ApiParam("更新人")
    private String modifyUser;

    @ApiParam("更新时间")
    private String modifyDatetime;

}
