package cn.estsh.i3plus.ext.mes.api.busi;

import cn.estsh.i3plus.ext.mes.pojo.model.SxProductDataReportParamModel;
import cn.estsh.i3plus.ext.mes.pojo.model.SxProductDataReportResultModel;
import cn.estsh.i3plus.pojo.base.common.Pager;
import io.swagger.annotations.ApiOperation;

/**
 * @Author: wangjie
 * @CreateDate: 2021/01/19 15:06 下午
 * @Description: 生产数据报表
 **/
public interface ISxProductDataReportFormService {

    /**
     * 生产数据报表
     * @param model 查询条件
     * @param pager 分页条件
     * @return  生产数据
     */
    @ApiOperation(value = "生产数据报表", notes = "生产数据报表")
    SxProductDataReportResultModel queryProductDataReport(SxProductDataReportParamModel model, Pager pager);
}
