package cn.estsh.i3plus.ext.mes.api.busi.jx;

import cn.estsh.i3plus.ext.mes.pojo.model.BadStatisticsReportParamModel;
import cn.estsh.i3plus.ext.mes.pojo.model.jx.JxProjectBadPerformanceReportModel;
import io.swagger.annotations.ApiOperation;


/**
 * @Author: wangjie
 * @CreateDate: 2021/01/19 15:06 下午
 * @Description: 不良统计报表
 **/
public interface IJxBadStatisticsReportFormService {

    /**
     * 工程不良实绩报表
     * @param model 查询条件
     * @return 工程不良实绩集合
     */
    @ApiOperation(value = "工程不良实绩报表", notes = "工程不良实绩报表")
    JxProjectBadPerformanceReportModel queryProjectBadPerformance(BadStatisticsReportParamModel model);
}
