package cn.estsh.i3plus.ext.mes.pojo.model.bu;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-mes-panasonic-bu
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-11-01 15:54
 */
@Data
@ApiModel("关键件条码校验规则MODEL")
public class BuKpsnRuleModel implements Serializable {
    private static final long serialVersionUID = 9097078398231143598L;

    @ApiParam("ID")
    private Long id;

    @ApiParam("组织代码")
    public String organizeCode;

    @ApiParam("有效性")
    public Integer isValid;

    @ApiParam("有效性")
    public String isValidName;

    @ApiParam("是否已删除")
    public Integer isDeleted;

    @ApiParam("是否已删除")
    public String isDeletedName;

    @ApiParam("项目代码")
    private String prodCfgTypeCode;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("长度")
    private Integer length;

    @ApiParam("起始1")
    private Integer from1;

    @ApiParam("至1")
    private Integer to1;

    @ApiParam("内容1")
    private String fix1;

    @ApiParam("起始2")
    private Integer from2;

    @ApiParam("至2")
    private Integer to2;

    @ApiParam("内容2")
    private String fix2;

    @ApiParam("类型")
    private String type;

    @ApiParam("绑定规则")
    private Integer bandRule;

    @ApiParam("绑定规则名称")
    private String bandRuleName;

    @ApiParam("供应商代码")
    private String supplierCode;

    @ApiParam("修改时间")
    private String modifyDatetime;
}
