package cn.estsh.i3plus.ext.mes.pojo.model.bu3;

import cn.estsh.i3plus.ext.mes.pojo.model.SxPackSnReportModel;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description :返工范围MODEL
 * @Reference :
 * @Author : xinwang.yi
 * @CreateDate : 2023-06-30
 * @Modify:
 **/
@Data
@Api("返工范围MODEL")
public class SxInsertReworkRangeModel implements Serializable {

    private static final long serialVersionUID = 8867871571379151351L;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("包装信息集合")
    private List<SxPackSnReportModel> sxPackSnReportModelList;

    public SxInsertReworkRangeModel(List<SxPackSnReportModel> sxPackSnReportModelList, String organizeCode) {
        this.sxPackSnReportModelList = sxPackSnReportModelList;
        this.organizeCode = organizeCode;
    }

    public SxInsertReworkRangeModel() {
    }
}
