package cn.estsh.i3plus.ext.mes.pojo.model.bu3;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @DESCRIPTION:
 * @USER: wangjie
 * @DATE: 2022-11-01 15:54
 */
@Data
@ApiModel("产量统计MODEL")
public class SxProdDataToStatisticsOutPutModel implements Serializable {

    private static final long serialVersionUID = 8431480895779791876L;

    @ApiParam("ID")
    public String id;

    @ApiParam("组织代码")
    public String organizeCode;

    @ApiParam(value = "创建时间")
    public String createDatetime;

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam("系别")
    private String isDont;

    @ApiParam("班次代码")
    private String shiftCode;

    @ApiParam("数据时间维度")
    private String dataType;

    @ApiParam("作业时间")
    private String workTime;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam(value = "产品类别代码")
    public String categoryCode;

    @ApiParam("事业别")
    private String careerCode;

    @ApiParam("工单类型")
    private Integer workOrderType;

    @ApiParam("产量")
    private Double qty;

    @ApiParam("改造产量")
    private Double remakeQty;

    @ApiParam("标准工数")
    private Double standardWork;

    @ApiParam("人件费")
    private String personnelCost;

    @ApiParam("统计数")
    private Double statistics;

    @ApiParam("统计数")
    private Double totalStatistics;

    @ApiParam("分组信息")
    private String groupInfo;

    @ApiParam("工单计划数量")
    private Double planQty;

    @ApiParam("工单计划改造数量")
    private Double planRemakeQty;

    @ApiParam("班别")
    public String dontClass;

    @ApiParam("产品类别")
    private String categoryCode3;

    @ApiParam("产品类别")
    private String categoryCode3Name;

}
